/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#ifndef _DESCENDANTORSELFAXIS_HPP
#define _DESCENDANTORSELFAXIS_HPP

#include <pathan/Pathan.hpp>

#include <pathan/internal/navigation/DescendantAxis.hpp>

class PATHAN_EXPORT DescendantOrSelfAxis : public DescendantAxis
{
public:
  virtual Axis getAxis() const;
protected:
  virtual Sequence makeList(const XERCES_CPP_NAMESPACE_QUALIFIER DOMNode *node, const XMLCh* const uri, DynamicContext* context) const;
};


#endif

