/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*
  Or operator function
*/

#ifndef _OR_HPP
#define _OR_HPP

#include <pathan/Pathan.hpp>

#include <pathan/dataItem/DataItemOperator.hpp>

/** Or operator function*/
class PATHAN_EXPORT Or : public DataItemOperator
{
public:
  static const XMLCh name[];

  Or(const VectorOfDataItems &args, XPath2MemoryManager* memMgr);
  
  /** ors two booleans. Takes two booleans, and gives a boolean */
  Sequence collapseTreeInternal(DynamicContext* context, int flags=0) const;

  virtual DataItem* staticResolution(StaticContext *context, StaticResolutionContext *src);
};

#endif // _OR_HPP
