/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*
 * xf:one-or-more(item* $srcval) => item+
 */

#ifndef _FUNCTIONONEORMORE_HPP
#define _FUNCTIONONEORMORE_HPP

#include <pathan/Pathan.hpp>

#include <pathan/functionAPI/ConstantFoldingFunction.hpp>

class PATHAN_EXPORT FunctionOneOrMore : public ConstantFoldingFunction
{
public:
  static const XMLCh name[];

  FunctionOneOrMore(const VectorOfDataItems &args, XPath2MemoryManager* memMgr);
  
  /** Returns $srcval if it contains one or more items. **/
  Sequence collapseTreeInternal(DynamicContext* context, int flags=0) const;
};

#endif // _FUNCTIONONEORMORE_HPP
